<template>
  <div>
    <!-- ref -->
    <h3>{{count}}</h3>
    <button @click="increment">Increment count</button>

    <!-- reactive -->
    <h4>{{first}} {{last}}</h4>
    <button @click="changeName">Change the names</button>

  </div>
</template>

<script>
import { ref, reactive, toRefs } from "vue";
export default {
  name: "MethodsComponent",
  setup() {
    const count = ref(0);

    function increment() {
      count.value += 1;
    }

    const state = reactive({
      first: "Bruce",
      last: "Wayne",
    });

    function changeName() {
      (state.first = "William"), (state.last = "Shakespeare");
    }

    return {
      count,
      increment,
      ...toRefs(state),
      changeName,
    };
  },
};
</script>

<style>
</style>